
Name:		qcad
Version:	2.0.4.0
Release:	1.1%{?dist_tag}.kde
Epoch:		0
Summary:	A simple 2D CAD program
Group:		Applications/Engineering
License:	GPL
Source:		http://www.ribbonsoft.com/archives/qcad/qcad-2.0.4.0-1.src.tar.gz
Source1:	http://www.ribbonsoft.com/archives/qcad/qcad-manual-en-2.0.4.0-1.html.zip
Patch:		qcad-qass.patch
URL:		http://www.ribbonsoft.com/qcad.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source3: qcad.desktop

BuildRequires: qt-devel >= 1:3.2
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f-2)
Requires: qt >= 1:%{qt_ver}
BuildRequires:	python2-devel, desktop-file-utils

Requires:       /usr/bin/assistant
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
QCad is an application for computer aided drafting in two
dimensions. With QCad you can create technical drawings such as plans
for buildings, interiors or mechanical parts. QCad works under Linux,
Unix Systems, Mac OS X and Windows. The source code of QCad is
released under the GPL (Open Source).


%prep
%setup -q -n %{name}-%{version}-1.src
%setup -q -T -D -a 1 -n %{name}-%{version}-1.src
%patch -p1


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

pushd scripts
./build_qcad.sh
popd


%install
rm -rf $RPM_BUILD_ROOT

%define pkgdatadir %{_datadir}/qcad
mkdir -p $RPM_BUILD_ROOT%{pkgdatadir}
mkdir -p $RPM_BUILD_ROOT%{pkgdatadir}/library
mkdir -p $RPM_BUILD_ROOT%{pkgdatadir}/doc

cp -a qcad-manual-en-%{version}-1.html/* $RPM_BUILD_ROOT%{pkgdatadir}/doc

pushd  qcad
cp -fr fonts $RPM_BUILD_ROOT%{pkgdatadir}
cp -fr patterns $RPM_BUILD_ROOT%{pkgdatadir}
cp -fr qm $RPM_BUILD_ROOT%{pkgdatadir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -f src/xpm/qcad.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps

[ -x qcad ] && install -p -D qcad $RPM_BUILD_ROOT%{_bindir}/qcad
[ -x QCad ] && install -p -D QCad $RPM_BUILD_ROOT%{_bindir}/qcad

popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Graphics \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE3} 


%clean
rm -rf $RPM_BUILD_ROOT


%post
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :

%postun
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :

%files
%defattr(-,root,root,-)
%doc README qcad/examples
%{_bindir}/*
%{_datadir}/qcad
%{_datadir}/applications/*
%{_datadir}/pixmaps/*


%changelog
* Thu Mar 10 2005 Rex Dieter 0:2.0.4.0-1.1.kde
- use $RPM_OPT_FLAGS
- tighten qt Req
- use external (not-inline) .desktop file

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.0.4.0-1
- Added documentation
- Fixed code for calling QT assistant: qcad-qass.patch

* Mon Nov 15 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.0.4.0-0.fdr.2
- Added mime type to desktop file

* Fri Oct  1 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.0.4.0-0.fdr.1
- New Version 2.0.4.0

* Sat Jun  5 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.0.3.3-0.fdr.1
- New Version 2.0.3.3

* Sun Apr 25 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.0.3.1-0.fdr.2
- Set QTDIR from qt.sh

* Sun Apr 11 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.0.3.1-0.fdr.1
- New Version 2.0.3.1

* Sat Feb 28 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.0.2.0-0.fdr.1
- New Version 2.0.2.0

* Fri Dec 12 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.0.1.3-0.fdr.1
- New Version 2.0.1.3

* Wed Nov 26 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.0.1.2-1.fdr.2
- Respect RPM_OPT_FLAGS

* Wed Nov 26 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.0.1.2-0.fdr.1
- New Version 2.0.1.2

* Tue Oct 21 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.0.1.1-1.fdr.1
- First Fedora release
